org.springframework.cloud.dataflow.core

## Class AbstractTaskPlatformFactory<P extends AbstractPlatformProperties<?>>

- java.lang.Object
- - org.springframework.cloud.dataflow.core.AbstractTaskPlatformFactory<P>

- All Implemented Interfaces:
    TaskPlatformFactory
  Direct Known Subclasses:
    LocalTaskPlatformFactory

      public abstract class AbstractTaskPlatformFactory<P extends AbstractPlatformProperties<?>>
      extends Object
      implements TaskPlatformFactory

  Author:
    David Turanski

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected org.slf4j.Logger` | `logger`
    `protected P` | `platformProperties`

    - ### Fields inherited from interface org.springframework.cloud.dataflow.core.TaskPlatformFactory

      `CLOUDFOUNDRY_PLATFORM_TYPE, KUBERNETES_PLATFORM_TYPE, LOCAL_PLATFORM_TYPE`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `AbstractTaskPlatformFactory(P platformProperties, String platformType)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected List<Launcher>` | `createLaunchers()`
    `TaskPlatform` | `createTaskPlatform()` Create the `TaskPlatform` instance with the launchers.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.springframework.cloud.dataflow.core.TaskPlatformFactory

      `createLauncher`

- - ### Field Detail

    - #### logger

          protected org.slf4j.Logger logger

    - #### platformProperties

          protected final P extends AbstractPlatformProperties<?> platformProperties

  - ### Constructor Detail

    - #### AbstractTaskPlatformFactory

          protected AbstractTaskPlatformFactory(P platformProperties,
                                                String platformType)

  - ### Method Detail

    - #### createTaskPlatform

          public TaskPlatform createTaskPlatform()

      Description copied from interface: `TaskPlatformFactory`
      Create the `TaskPlatform` instance with the launchers.
      Specified by:
        `createTaskPlatform` in interface `TaskPlatformFactory`
      Returns:
        the task platform

    - #### createLaunchers

          protected List<Launcher> createLaunchers()

Copyright © 2021 Pivotal Software, Inc.. All rights reserved.